/*

Original highlight.js style (c) Ivan Sagalaev <maniac@softwaremaniacs.org>

*/
pre {
    
    background-color: #EEEEEE;
	white-space: pre-wrap;  !important;     /* css-3 */
 	white-space: -moz-pre-wrap;  /* Mozilla, since 1999 */
 	white-space: -pre-wrap;      /* Opera 4-6 */
 	white-space: -o-pre-wrap;  /* Opera 7 */
 	word-wrap: break-word; 
 	
    
}

.hljs {
  display: block;
  /*overflow-x: auto;
  padding: 0.5em;*/
  background: #F0F0F0;
  overflow-wrap: break-word;
  word-wrap: break-word;
  -ms-word-break: break-all;
  word-break: break-word;
  white-space: pre-wrap;  !important;
}
 

/* Base color: saturation 0; */

.hljs,
.hljs-subst {
  color: #444;
  word-wrap: break-word;
  overflow-wrap: break-word;
  -ms-word-break: break-all;
   word-break: break-word;
   white-space: pre-wrap;  !important;
}

.hljs-comment {
  color: #888888;
}

.hljs-keyword,
.hljs-attribute,
.hljs-selector-tag,
.hljs-meta-keyword,
.hljs-doctag,
.hljs-name {
  font-weight: bold;
  word-wrap: break-word;
 white-space: pre-wrap;  !important;
}


/* User color: hue: 0 */

.hljs-type,
.hljs-string,
.hljs-number,
.hljs-selector-id,
.hljs-selector-class,
.hljs-quote,
.hljs-template-tag,
.hljs-deletion {
  color: #880000;
   word-wrap: break-word;
   white-space: pre-wrap;  !important;
}

.hljs-title,
.hljs-section {
  color: #880000;
  font-weight: bold;
   word-wrap: break-word;
   white-space: pre-wrap;  !important;
}

.hljs-regexp,
.hljs-symbol,
.hljs-variable,
.hljs-template-variable,
.hljs-link,
.hljs-selector-attr,
.hljs-selector-pseudo {
  color: #BC6060;
   word-wrap: break-word;
   white-space: pre-wrap;  !important;
}


/* Language color: hue: 90; */

.hljs-literal {
  color: #78A960;
   word-wrap: break-word;
   white-space: pre-wrap;  !important;
}

.hljs-built_in,
.hljs-bullet,
.hljs-code,
.hljs-addition {
  color: #397300;
   word-wrap: break-word;
   white-space: pre-wrap;  !important;
}


/* Meta color: hue: 200 */

.hljs-meta {
  color: #1f7199;
   word-wrap: break-word;
  white-space: pre-wrap;  !important;
}

.hljs-meta-string {
  color: #4d99bf;
   word-wrap: break-word;
   white-space: pre-wrap;  !important;
}


/* Misc effects */

.hljs-emphasis {
  font-style: italic;
   word-wrap: break-word;
  white-space: pre-wrap;  !important;
}

.hljs-strong {
  font-weight: bold;
   word-wrap: break-word;
   white-space: pre-wrap;  !important;
}